Index: DVD_images/extra_files/GoldCoast/modifications.html
===================================================================
--- DVD_images/extra_files/GoldCoast/modifications.html	(revision 7301)
+++ DVD_images/extra_files/GoldCoast/modifications.html	(revision 7363)
@@ -16,5 +16,5 @@
       </td>
       <td>
-        <H1>Tsunami Inundation Models for the GOLD COAST region</H1>
+        <H1>Tsunami Inundation Models for the Gold Coast region</H1>
       </td>
     </tr>
@@ -24,10 +24,10 @@
   <a name="modifications"><h2><b>Modifying a simulation</b></h2></a>
 
-  Here we talk about how you change a simulation.  Why would you need to change a simulation?  Well, 
-  you might have some better elevation data, you want to run the simulation on a finer mesh in certain
-  areas, or maybe you want to see the result for different events.
-  <p>
-  First we describe the uses of the script files you might change, then we walk through a few examples 
-  of changes you might make.
+  Here we talk about how to change a simulation.  Why would you need to change a simulation?  Well,
+  you might have some better elevation data; you want to run the simulation on a finer mesh in certain
+  areas; or maybe you want to see the result for different events.
+  <p>
+  First we describe the usage of the model script files you might change, then we walk through a few examples
+  of changes you might make within these.
   <p>
 
@@ -37,5 +37,5 @@
   <table class="code">
     <tr><td><font color="red">project.py</font></td><td>Defines the input data used, where to place output, etc.</td></tr>
-    <tr><td><font color="red">build_elevation.py</font></td><td>Builds a PTS file of all elevation data specified by <font color="red">project.py</font></td></tr>
+    <tr><td><font color="red">build_elevation.py</font></td><td>Combines the elevation data specified by <font color="red">project.py</font> into one file; with the extension .PTS</td></tr>
     <tr><td><font color="red">setup_model.py</font></td><td>Prepares the simulation before actually running it</td></tr>
     <tr><td><font color="red">run_model.py</font></td><td>Runs the simulation</td></tr>
@@ -48,40 +48,9 @@
     For further details on changing parameters see <a href="#change">Making changes to a simulation</a>.
 
-<!--  This file is the heart of the simulation.  Here we specify many things, including the tide level, the simulation
-  start and stop times, input data files, and so on.  Because we are using python as the programming language in
-  these files, we can use the power of the language to speed up our development.  We use this by <i>parameterising</i>
-  data as much as possible.
-  <p>
-  Parameters that you might change 
-  As an example, let's look at the <b>scenario_name</b> variable we define in <font color="red">project.py</font>:
-  <table class="code">
-    <tr><td>scenario_name = 'hobart'&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;# name of the scenario</td></tr>
-  </table>
-  <p>
-  We define this variable solely to quickly change other input filenames.  Where we want a different input files for
-  a different scenario, 
-  depending on whether we want a 'small' or 'large' model, we build the filenames using the <b>model</b> variable.
-  Some examples are:
-  <p>
-  <table class="code">
-    <tr height="25"><td>bounding_polygon_filename = 'bounding_polygon_'+ model + '.csv'</td></tr>
-    <tr height="25"><td>land_initial_conditions_filename = [['initial_conditions_' + model +'.csv', 0]]</td></tr>
-    <tr height="25"><td>landward_boundary_filename = 'landward_boundary_'+ model +'.csv'</td></tr>
-  </table>
-  <p>
-  We must, of course, ensure that there are input files <font color="red">bounding_polygon_small.csv</font>
-  and <font color="red">bounding_polygon_large.csv</font>, and so on.
-  <p>
-  Now, if we need to change the simulation model from 'small' to 'large', we need only change the
-  value of the <b>model</b> variable, and all the input files that depend on the model will change.
-  This speeds up development and make errors less likely.  If you want to add another model to the two 
-  we show above, just set <b>model</b> to 'medium' and create appropriate input files with the string
-  'medium' in the filename. -->
-
   <a name="build_elevation.py"><h4><b>build_elevation.py</b></h4></a>
 
-  This script combines all input elevation files into one PTS file.
+  This script combines all input elevation files into a single elevation point file (PTS file).
   We have provided you with the PTS file used to create the outputs on this DVD.
-  If you would like to change the elevation see <a href="#change">Making changes to a simulation</a>. 
+  If you would like to change the elevation, see <a href="#change">Making changes to a simulation</a>.
   <p>
 
@@ -89,5 +58,5 @@
 
   This script is used to transform data into a specific format for <font color="red">run_model.py</font>,
-  if required, and to generate warning messages if you are missing data.
+  if required, and to generate warning messages if you are missing required types of data (though not it will not alert you if you have data gaps e.g. missing data in your elevation grid).
   <p>
 
@@ -95,6 +64,6 @@
 
   This script runs a tsunami inundation scenario.  It relies on the parameters set in <font color="red">project.py</font>
-  as well as the PTS and STS files.
-  An STS file has been generated for each event listed in the boundaries directory. For further details on events see
+  as well as the elevation and event input files (PTS and STS files respectively).
+  An STS file has been generated for each event listed in the <u>boundaries</u> directory. For further details on events see
   <a href="#change">Making changes to a simulation</a>.
   <p>
@@ -106,9 +75,41 @@
   <p>
 
+  <a name="output"><h4><b>Output Folder Name</b></h4></a>
+
+  The <b>output folder name</b> should be unique between different runs on different data.
+  The list of items below will be used to create the folder in your <u>output</u> directory.
+  Your user name and time+date will be automatically added.  For example,
+  <pre><font color="brown">
+  output_comments = [setup, tide, event_number]</font></pre>
+  will result in a folder name like
+  <pre><font color="brown">
+  20090212_091046_run_final_0_27283_rwilson</font>
+Where you (<u>rwilson</u>) ran a <u>run</u> script at <u>9:10.46</u> in the morning on the <u>2/12/09</u>, <b>setup</b> = <u>final</u>,
+<b>tide</b> = <u>0</u>, <b>event_number</b> = <u>27283</u>  - refer below for more information on these parameters </pre>
+  <p>
+  You can also add strings to this list
+  <pre><font color="brown">
+  output_comments = [setup, tide, event_number, 'large']</font></pre>
+  will result in a folder name like
+  <pre><font color="brown">
+  20090212_091046_run_final_0_27283_large_rwilson</font></pre>
+  <p>
+  <p>
+    <a name="setup"><h4><b>Setup</b></h4></a>
+
+  The <b>setup</b> parameter determines the type of run. This can be one of three values:
+  <pre><font color="brown">
+  'trial' <font color="black">- coarsest mesh, fast </font>
+  'basic' <font color="black">- coarse mesh</font>
+  'final' <font color="black">- fine mesh, slowest</font>
+  </pre></font>
+  Note: <b>'final'</b> must be used if determining the best estimate of inundation for your area of interest.
+  <p>
   <a name="tide"><h4><b>Tide</b></h4></a>
 
-  The <b>tide</b> parameter is used to change the mean stage of the simulation.  When <b>tide</b> is set to 0
+  The <b>tide</b> parameter is used to change the mean inital water level of the simulation.  When <b>tide</b> is set to 0
   the initial water level will be at Mean Sea Level.  If you increase the <b>tide</b> value the water level will become deeper.
-  However land is masked out using initial conditions.  Within ANUGA <b>tide</b> is modelled as a constant.
+  This setting will also increase non tidal lakes and rivers inside the model.  To compensate a mask is used on land called
+  <b>initial conditions</b> which brings the internal water bodies back to 0.  Within ANUGA <b>tide</b> is modelled as a constant throughout the duration of the simulation.
   <p>
 
@@ -116,64 +117,68 @@
 
   The <b>event_number</b> variable contains the event number that initiates the tsunami we are modelling.
-  You can change <b>event_number</b> to any event number in the anuga/boundaries directory.
-  As we said above, a new STS file must be generated for <font color="red">run_model.py</font> to work.
-  <p>
-  The event numbers correspond to a quake ID from the probabilistic tsunami hazard map of Australia.
-  <table class="code">
-    <tr><td><pre>event_number = 51436    # 1 in 10000 yr event from New Hebrides</pre></td></tr>
-  </table>
+  You can change <b>event_number</b> to any event number in the <u>boundaries</u> directory.
+  <a href="data/queensland/gold_coast_tsunami_scenario_2009/anuga/boundaries/events_chosen.xls">Click here</a> for more information on the events.
+  An STS file has been generated for all events listed in the <u>boundaries</u> directory.
+  <p>
+  The event numbers correspond to a quake ID from the Probabilistic Tsunami Hazard Map Assessment of Australia.
+
+  <pre><font color="brown">
+  event_number = 51469    # 1 in 10000 yr event from New Hebrides Trench</font></pre>
+
   <p>
 
   <a name="elevation"><h4><b>Elevation</b></h4></a>
 
-  Elevation data can be changed in the <font color="red">project.py</font> elevation script.
+  Elevation data can be changed in the <font color="red">project.py</font> script under ELEVATION DATA.
   Elevation data can be read as either a point file, comma delimited, or as an ASCII grid file
-  (ASC) with an accompanying projection file (PRJ). All elevation input must be projected in the correct UTM zone.
+  (ASC) with an accompanying projection file (PRJ). All elevation input should sit in <u>topographies</u> and must be projected in the correct UTM zone.
   <p>
 
   A header for a CSV file has the format:
-  <table class="code">
-    <tr><td><pre>x,y,elevation</pre></td></tr>
-  </table>
+
+    <pre><font color="brown">
+  x,y,elevation</font></pre>
+
   <p>
 
   An ASC file header has the format:
-  <table class="code">
-    <tr><td><pre>ncols         868
-nrows         856
-xllcorner     418933.86055096
-yllcorner     5151810.6668096
-cellsize      250
-NODATA_value  -9999</pre></td></tr>
-  </table>
+
+    <pre><font color="brown">
+  ncols         868
+  nrows         856
+  xllcorner     418933.86055096
+  yllcorner     5151810.6668096
+  cellsize      250
+  NODATA_value  -9999</font></pre>
+
   <p>
 
   The header of a PRJ file has the format:
-  <table class="code">
-    <tr><td><pre>Projection    UTM
-Zone          55
-Datum         D_GDA_1994
-Zunits        NO
-Units         METERS
-Spheroid      GRS_1980
-Xshift        500000
-Yshift        10000000
-Parameters</pre></td></tr>
-  </table>
-  <p>
-
-  The elevation filenames must be listed in either <b>point_filenames</b> or <b>ascii_grid_filenames</b>
+
+    <pre><font color="brown">
+  Projection    UTM
+  Zone          55
+  Datum         D_GDA_1994
+  Zunits        NO
+  Units         METERS
+  Spheroid      GRS_1980
+  Xshift        500000
+  Yshift        10000000
+  Parameters</font></pre>
+
+  <p>
+
+  The elevation filenames in <font color="red">project.py</font> must be listed in either <b>point_filenames</b> or <b>ascii_grid_filenames</b>
   depending on their format. Point files need to have their extension shown however the ascii grid files have the .asc extension assumed:
-  <table class="code">
-    <tr><td><pre>point_filenames = ['SD100031996_jgriffin_clip.csv',
-                   'tomaga_offshore_AHD_MGA_1997.csv',
-                   'Batemans_BBHD_MGA_1995.csv',
-                   'moruya_AHD_MGA_2000.csv']
-
-ascii_grid_filenames = ['sd100031996_p',
-                        'sd100031996_p2',
-                        'sd100031996_p3',
-                        'sd100031996_p4']</pre></td></tr>
-  </table>
+
+    <pre><font color="brown">
+  point_filenames = ['point1.csv',
+                     'point2.csv',
+                     'point3.csv']
+
+  ascii_grid_filenames = ['grid1',
+                          'grid2',
+                          'grid3']</font></pre>
+
   <p>
 
@@ -183,6 +188,39 @@
   <a name="interior_regions"><h4><b>Interior regions</b></h4></a>
 
-  The <b>interior_regions</b> parameter allows you to change the mesh of the model.
+  The user can specify a number of internal polygons within each of which the resolution of the mesh can be specified.
+  Mesh resolution is the maximum allowable area specified for each region, defining the largest area an indivdual
+  triangular element of the mesh can take (and therefore the minimum mesh resolution).
+  These polygons need to be nested within each other with no overlapping edges.
+  <p>
+  The <b>interior regions</b> can be changed in the <font color="red">project.py</font> script under INTERIOR REGIONS.
+  Interior regions can be read as either seperate CSV files for each polygon displayed as a listed paired with its
+  resolution and/or one CSV file for all polygons, where its resolution is defined within the csv under 'id'.
+  All file inputs should sit in <u>polygons</u> and must be projected in the correct UTM zone.
+  <p>
+  The format for a CSV file with ONE polygon has the format:
+  <pre><font color="brown">
+  easting,northing  </font><font color="black"> Note: NO Header  </font></pre>
+
+
+  The header for a CSV file with MANY polygons has the format:
+  <pre><font color="brown">
+  easting,northing,id,value</font></pre>
+  <p>
+  Where id = polygon number and value = maximum allowable area.
+  <p>
+  The <font color="red">project.py</font> script for this section looks like this:
+
+
+  <pre><font color="brown">
+  interior_regions_list = [['aos1.csv', 1500],
+                           ['aos2.csv', 1500],
+                           ['sw.csv', 30000]]
+  </font></pre>
+
+  <p>
+
+  For further information on ANUGA file formats please see the ANUGA User Manual, section 5.1.
   <p>
 </body>
 </html>
+