Index: /anuga_work/publications/boxing_day_validation_2008/data.tex
===================================================================
--- /anuga_work/publications/boxing_day_validation_2008/data.tex	(revision 7462)
+++ /anuga_work/publications/boxing_day_validation_2008/data.tex	(revision 7463)
@@ -75,18 +75,24 @@
 used here to validate open ocean tsunami models.
 
-\subsubsection{Bathymetry Data}
+\subsubsection{Bathymetry Data}\label{sec:bathymetry data}
 The bathymetry data used in this study was derived from the following 
 sources:
 \begin{itemize}
 \item a two arc minute grid data set covering the Bay of Bengal,
-  DBDB2, obtained from US Naval Research Labs;
+  DBDB2, obtained from US Naval Research Labs 
+  (\url{http://www7320.nrlssc.navy.mil/DBDB2_WWW});
 \item a 3 second arc grid covering the whole of the Andaman Sea based
-  on Thai Navy charts no. 45 and no. 362; and 
+  on Thai Navy charts no. 45 and no. 362; and  
+  (FIXME (OLE): wait for DB's reply) 
 \item a one second grid created from the digitised Thai Navy
   bathymetry chart, no. 358, which covers Patong Bay and the
-  immediately adjacent regions. 
-  (FIXME (Ole): How was the grid created from these digitised points?) RICHARD
+  immediately adjacent regions.
+  The gridding of data was performed using {\bf Intrepid}, a commercial
+  geophysical processing package developed by Intrepid Geophysics. The
+  gridding scheme employed the nearest neighbour algorithm followed by
+  an application of minimum curvature akima spline smoothing. 
+  See \url{http://www.intrepid-geophysics.com/ig/manuals/english/gridding.pdf} 
+  for details on the Intrepid model.  
 \end{itemize}
-FIXME (Jane): Refs for all these. RICHARD
 
 These sets were combined via 
@@ -100,5 +106,5 @@
 arc grid. A subsection of this region was then replaced by nine second
 data which was generated by sub-sampling the three second of arc grid from
-NOAA (FIXME (Jane): This was not mentioned in the dots above. RICHARD). It is an artificially generated data set which is a subset of the original data.
+NOAA. It is an artificially generated data set which is a subset of the original data.
 
 A subset of the nine second grid was replaced by the three second
@@ -110,15 +116,10 @@
 A one second grid was used to approximate the bathymetry in Patong
 Bay. This elevation data was created from the digitised Thai
-Navy bathymetry chart, no 358. The digitised points are shown in 
-Figure~\ref{fig:patong_bathymetry}. The contours were obtained from...(FIXME? RICHARD)
+Navy bathymetry chart, no 358. The digitised points and contour lines 
+from this chart are shown in Figure~\ref{fig:patong_bathymetry}.
+
 
 The sub-sampling of larger grids was performed by using {\bf resample},
-a Generic Mapping Tools (\textsc{GMT}) program (\cite{wessel98}). The
-gridding of data was performed using {\bf Intrepid}, a commercial
-geophysical processing package developed by Intrepid Geophysics. The
-gridding scheme employed the nearest neighbour algorithm followed by
-an application of minimum curvature akima spline smoothing. 
-See \url{http://www.intrepid-geophysics.com/ig/manuals/english/gridding.pdf} 
-for details on the Intrepid model. 
+a Generic Mapping Tools (\textsc{GMT}) program (\cite{wessel98}).
 
 
@@ -153,6 +154,6 @@
 data which is often not available. In the case of model validation
 high quality field measurements are also required. For the proposed
-benchmark a high resolution topography data set and a high quality inundation
- survey map from the 
+benchmark a high resolution (1 second) topography data set and a 
+tsunami inundation survey map from the 
 Coordinating Committee Co-ordinating Committee for Geoscience Programmes 
 in East and Southeast Asia (CCOP) (\cite{szczucinski06}) was obtained 
@@ -161,12 +162,9 @@
 
 \subsubsection{Topography Data}
-A one second grid was used to approximate the topography in Patong
-Bay. This elevation data was again created from the digitised Thai
-Navy bathymetry chart, no 358.
-FIXME (Ole): I don't think so. The Navy chart is only offshore. RICHARD
-
- A visualisation of the elevation data
-set used in Patong Bay is shown in
-Figure~\ref{fig:patong_bathymetry}.
+The 1 second onshore topography for Patong Beach provided by the CCOP was 
+merged with the nearshore 1 second bathymetry described in Section 
+\ref{sec:bathymetry data} to provide a seamless terrain model for the 
+bay and community as shown in Figure~\ref{fig:patong_bathymetry}.
+
 
 \begin{figure}[ht]
@@ -272,10 +270,10 @@
 Flow rates were estimated using landmarks found in both videos and
 were found to be in the range of 5 to 7 metres per second (+/- 2 m/s)
-in the north and 0.5 to 2 metres per second (+/- 1 m/s) in the south.
-FIXME (Jane): How were these error bounds derived? RICHARD
+in the north and 0.5 to 2 metres per second (+/- 1 m/s) in the 
+south\footnote{These error bounds were estimated from uncertainty in aligning the debris with building boundaries in the videos.}.
 Water depths could also
 be estimated from the videos by the level at which water rose up the
 sides of buildings such as shops. Our estimates are in the order of
-1.5 to 2.0 metres (+/- 0.5 m). 
+1.5 to 2.0 metres (+/- 0.5 m estimated error bounds). 
 Fritz ~\cite{fritz06} performed a detailed
 analysis of video frames taken around Banda Aceh and arrived at flow
Index: /anuga_work/publications/boxing_day_validation_2008/results.tex
===================================================================
--- /anuga_work/publications/boxing_day_validation_2008/results.tex	(revision 7462)
+++ /anuga_work/publications/boxing_day_validation_2008/results.tex	(revision 7463)
@@ -87,10 +87,4 @@
 shown in Figure~\ref{fig:computational_domain}.
 
-FIXME (Ole): I know that a nested ursga model was trialled for the 
-end-to-end modelling. However, for the study done here, where models
-were coupled, I didn't think nested grids were used with URSGA - 
-and certainly not down to 1 arc second. Can someone shed some light 
-on this please? RICHARD
-
 \begin{figure}[ht]
 \begin{center}
@@ -152,5 +146,10 @@
 in the small regions surrounding the inundation
 region in Patong Bay. The coarse resolution was chosen to be 
-commensurate with the model output from the \textsc{ursga} model
+commensurate with the model output from the \textsc{ursga} model (FIXME (Ole): Richard says that the ursga model used all four grids which would mean that the
+resolution at the ANUGA boundary was 1 second or about 30m.
+This is not consistent with my memory and certainly not with us choosing a
+resolution of 440m. John, do you remember what the spacing was between the
+URSGA points? Did we weed them out or did we take them as they were?)
+
 while the latter was chosen to match the available resolution of topographic 
 data and building data in Patong city.