Index: /anuga_work/publications/boxing_day_validation_2008/data.tex
===================================================================
--- /anuga_work/publications/boxing_day_validation_2008/data.tex	(revision 7469)
+++ /anuga_work/publications/boxing_day_validation_2008/data.tex	(revision 7470)
@@ -8,5 +8,5 @@
 measurements of coseismic displacements as well as bathymetry from ship-based
 expeditions, have now been made
-available. %~\cite{vigny05,amnon05,kawata05,liu05}. FIXME (Ole): Refs?  Are the references here inappropriate?
+available. %~\cite{vigny05,amnon05,kawata05,liu05}.
 
 In this section we present the corresponding data necessary to implement 
@@ -173,10 +173,11 @@
 \begin{center}
 \includegraphics[width=8.0cm,keepaspectratio=true]{figures/patong_bay_data.jpg}
-\caption{3D visualisation of the elevation data set used in Patong Bay showing data points, contours, rivers and roads draped over the final model.}
+\caption{3D visualisation of the elevation data set used for the nearshore propagation and and inundation in Patong Bay showing 
+digitised data points and contours as well as rivers and roads 
+draped over the data model.}
 \label{fig:patong_bathymetry}
 \end{center}
 \end{figure}
-FIXME (Jane): legend? Were the contours derived from the final dataset?
-This is not the entire model, only the bay and the beach. RICHARD
+
 
 \subsubsection{Buildings and Other Structures}
@@ -226,8 +227,10 @@
 \begin{figure}[ht]
 \begin{center}
-%\includegraphics[width=8.0cm,keepaspectratio=true]{gauge_locations.jpg}
 \includegraphics[width=\textwidth,keepaspectratio=true]{figures/gauges.jpg}
-\caption{Location of timeseries extracted from the model output. FIXME(John):
-should we combine the inundation map with the gauages map?}
+\caption{Location of timeseries extracted from the model output.}
+% FIXME(John):
+%should we combine the inundation map with the gauages map?}
+%OLE: No - Kristy and I tried to make each image very simple - 
+%with one message only 
 \label{fig:gauge_locations}
 \end{center}
Index: /anuga_work/publications/boxing_day_validation_2008/method.tex
===================================================================
--- /anuga_work/publications/boxing_day_validation_2008/method.tex	(revision 7469)
+++ /anuga_work/publications/boxing_day_validation_2008/method.tex	(revision 7470)
@@ -137,7 +137,6 @@
 simulating water flow onto a beach or dry land and around structures
 such as buildings. \textsc{Anuga} has been validated against 
-%a number of analytical solutions and  
-%FIXME (Ole): Analytical solutions have not been published. Ask Steve. 
+%a number of analytical solutions !!!Analytical solutions have not been published. Ask Steve. 
 the wave tank simulation of the 1993 Okushiri
-Island tsunami~\cite{nielsen05,roberts06}.
-FIXME (Ole): Add reference to Tom Baldock's Dam Break valiadation of ANUGA.
+Island tsunami~\cite{nielsen05,roberts06} and 
+dam break experiments~\cite{baldock07}.
Index: /anuga_work/publications/boxing_day_validation_2008/results.tex
===================================================================
--- /anuga_work/publications/boxing_day_validation_2008/results.tex	(revision 7469)
+++ /anuga_work/publications/boxing_day_validation_2008/results.tex	(revision 7470)
@@ -30,11 +30,5 @@
 points) is only 0.06 m, well below the typical error of the
 observations of between 0.25 and 1.0 m. 
-%
-%However, the occasional point
-%has quite a large error (over 1 m); for example a couple of
-%uplifted/subsided points appear to be on a wrong 
-%(FIXME (Jane): This is incorrect) side of the predicted
-%pivot line~\ref{fig:surface_deformation}. 
-%
+
 The excellence of the fit is
 not surprising, since the original slip model was chosen
@@ -44,16 +38,8 @@
 uncalibrated source models or source models calibrated on other data 
 this test of generation would be more meaningful.
-%
-%This does demonstrate, however, that \textsc{edgrn} and our modified version of
-%\textsc{edstat} (FIXME(Jane): This has never been mentioned before) 
-%can reproduce the correct pattern of vertical
-%deformation very well when the slip distribution is well constrained
-%and when reasonable values for the elastic properties are used.
-
 
 \begin{figure}[ht]
 \begin{center}
 \includegraphics[width=0.8\textwidth,keepaspectratio=true]{figures/surface_deformation.jpg}
-%\includegraphics[totalheight=0.3\textheight,width=0.8\textwidth]{surface_deformation.jpg}
 \caption{Location and magnitude of the vertical component of the sea
   floor displacement associated with the 2004 Indian Ocean tsunami