Index: /anuga_work/publications/boxing_day_validation_2008/appendix.tex
===================================================================
--- /anuga_work/publications/boxing_day_validation_2008/appendix.tex	(revision 7479)
+++ /anuga_work/publications/boxing_day_validation_2008/appendix.tex	(revision 7480)
@@ -8,4 +8,6 @@
 \begin{center}
 \includegraphics[width=\textwidth,keepaspectratio=true]{figures/reference}
+\end{center}
+
 \caption{Results from reference model as reported in Section 
 \protect \ref{sec:results}, 
@@ -16,5 +18,4 @@
   flow velocities.}
 \label{fig:reference_model}
-\end{center}
 \end{figure}
 
@@ -22,4 +23,6 @@
 \begin{center}
 \includegraphics[width=\textwidth,keepaspectratio=true]{figures/sensitivity_friction}
+\end{center}
+
 \caption{Model results for different values of Manning's friction
   coefficient shown to assess sensitivities. 
@@ -34,5 +37,4 @@
   scope of this study.}
 \label{fig:sensitivity_friction}
-\end{center}
 \end{figure}
 
@@ -40,8 +42,12 @@
 \begin{center}
 \includegraphics[width=\textwidth,keepaspectratio=true]{figures/sensitivity_friction_speed}
+\end{center}
+
 \caption{The maximal flow speeds for the same model parameterisations
-  found in Figure \protect \ref{fig:sensitivity_friction}.}
+  found in Figure \protect \ref{fig:sensitivity_friction}.
+  The reference flow speeds for a 
+  friction value of 0.01 are shown in Figure
+  \protect \ref{fig:reference_model} (right).}
 \label{fig:sensitivity_friction_speed}
-\end{center}
 \end{figure}
 
@@ -50,4 +56,6 @@
 \begin{center}
 \includegraphics[width=\textwidth,keepaspectratio=true]{figures/sensitivity_boundary_wave}
+\end{center}
+
 \caption{Model results with wave height at \textsc{anuga} boundary artificially
   modified to assess sensitivities. 
@@ -55,10 +63,9 @@
   \protect \ref{fig:reference_model} (left). The left and right images 
   show the inundation results if the wave at the \textsc{anuga} boundary
-  is reduced or increased by 10 cm respectively. The inundation
+  is increased or reduced by 10 cm respectively. The inundation
   severity varies in proportion to the boundary waveheight, but the
   model results are only slightly sensitive to this parameter for the
   range of values tested.}
 \label{fig:sensitivity_boundary}
-\end{center}
 \end{figure}
 
@@ -67,8 +74,11 @@
 \begin{center}
 \includegraphics[width=\textwidth,keepaspectratio=true]{figures/sensitivity_boundary_wave_speed}
+\end{center}
+
 \caption{The maximal flow speeds for the same model parameterisations
-  found in Figure \protect \ref{fig:sensitivity_boundary}.}
+  found in Figure \protect \ref{fig:sensitivity_boundary}.
+  The reference flow speeds are shown in Figure
+  \protect \ref{fig:reference_model} (right).}
 \label{fig:sensitivity_boundary_speed}
-\end{center}
 \end{figure}
 
@@ -77,8 +87,9 @@
 \begin{center}
 \includegraphics[width=\textwidth,keepaspectratio=true]{figures/sensitivity_buildings}
+\end{center}
 \caption{Model results show the effect of buildings in
   the elevation data set. 
   The left hand image shows the inundation extent as modelled in the reference
-  model (Figure \protect \ref{fig:reference_model}) which includes 
+  model (Figure \protect \ref{fig:reference_model}, left) which includes 
   buildings in the elevation data. The right hand image
   shows the result for a bare-earth model i.e. entirely without buildings.  
@@ -87,5 +98,4 @@
   surveyed.}
 \label{fig:sensitivity_buildings}
-\end{center}
 \end{figure}
 
@@ -94,4 +104,5 @@
 \begin{center}
 \includegraphics[width=\textwidth,keepaspectratio=true]{figures/sensitivity_buildings_speed}
+\end{center}
 \caption{The maximal flow speeds for the same model parameterisations
   found in Figure~\protect~\ref{fig:sensitivity_buildings}.
@@ -99,4 +110,3 @@
   but tends to increase speeds in passages between buildings.}
 \label{fig:sensitivity_buildings_speed}
-\end{center}
 \end{figure}
Index: /anuga_work/publications/boxing_day_validation_2008/conclusion.tex
===================================================================
--- /anuga_work/publications/boxing_day_validation_2008/conclusion.tex	(revision 7479)
+++ /anuga_work/publications/boxing_day_validation_2008/conclusion.tex	(revision 7480)
@@ -1,4 +1,4 @@
 \section{Conclusion}
-This paper proposes an additional field data benchmark for the
+This paper proposes a new field data benchmark for the
 verification of tsunami inundation models. Currently, there is a
 scarcity of appropriate validation datasets due to a lack of well-documented
@@ -18,5 +18,5 @@
 Australiawhich is used to simulate the tsunami inundation. 
 This study ashows that the tsunami  modelling methodology adopted is credible 
-and able to predict detailed inundation extents with reasonable accuracy. 
+and able to predict detailed inundation extents and dynamics with reasonable accuracy. 
 Model predictions matched well a detailed inundation survey
 of Patong Bay, Thailand as well as altimetry data from the \textsc{jason}, 
@@ -25,9 +25,9 @@
 A simple sensitivity analysis was performed to assess the influence of
 small changes in friction, wave height at the 100 m depth contour and
-the presence of buildings and other structures on the model
+the presence of buildings on the model
 predictions. Of these three, the presence of buildings was shown to 
 have the greatest influence on the simulated inundation extent. This result 
 indicates that the influence of human-made structures should be included, 
-where possible in any future studies. The value of friction and small
+where possible, in any future studies. The value of friction and small
 perturbations in the waveheight at the \textsc{anuga} boundary have
 comparatively little effect on the model results.
Index: /anuga_work/publications/boxing_day_validation_2008/data.tex
===================================================================
--- /anuga_work/publications/boxing_day_validation_2008/data.tex	(revision 7479)
+++ /anuga_work/publications/boxing_day_validation_2008/data.tex	(revision 7480)
@@ -18,8 +18,8 @@
 However, for physics-based models evaluation of the model during the generation
  and propagation phases is still useful. If a model is physics-based one 
-should ensure that all physics are being modelled accurately. Moreover 
+should ensure that all physics are being modelled accurately. Moreover, 
 evaluation of all three stages of tsunami evolution can help identify the 
 cause of any discrepancies between modelled and observed inundation. 
-Consequently in this section we present data not only to facilitate 
+Consequently, in this section we present data not only to facilitate 
 validation of inundation but to also aid the assessment of tsunami 
 generation and propagation.
@@ -90,6 +90,7 @@
 \item a one second grid created from the digitised Thai Navy
   bathymetry chart, no. 358, which covers Patong Bay and the
-  immediately adjacent regions.
-  The gridding of data was performed using {\bf Intrepid}, a commercial
+  immediately adjacent regions. The digitised points and contour lines 
+from this chart are shown in Figure~\ref{fig:patong_bathymetry}.
+  The gridding of data was performed using \textsc{Intrepid}, a commercial
   geophysical processing package developed by Intrepid Geophysics. The
   gridding scheme employed the nearest neighbour algorithm followed by
@@ -113,5 +114,5 @@
 A subset of the nine second grid was replaced by the three second
 data. Finally, the one second grid was used to approximate the
-bathymetry in Patong Bay and the immediately adjacent regions. Any
+bathymetry in Patong Bay. Any
 points that deviated from the general trend near the boundary were
 deleted as a quality check.
@@ -119,9 +120,8 @@
 A one second grid was used to approximate the bathymetry in Patong
 Bay. This elevation data was created from the digitised Thai
-Navy bathymetry chart, no 358. The digitised points and contour lines 
-from this chart are shown in Figure~\ref{fig:patong_bathymetry}.
-
-
-The sub-sampling of larger grids was performed by using {\bf resample},
+Navy bathymetry chart, no 358.
+
+
+The sub-sampling of larger grids was performed by using \textsc{resample},
 a Generic Mapping Tools (\textsc{GMT}) program (\cite{wessel98}).
 
@@ -130,7 +130,8 @@
 \begin{center}
 \includegraphics[width=\textwidth,keepaspectratio=true]{figures/nested_grids}
+\end{center}
+
 \caption{Nested bathymetry grids.}
 \label{fig:nested_grids}
-\end{center}
 \end{figure}
 
@@ -149,6 +150,6 @@
 \subsection{Inundation}
 \label{sec:inundation data}
-Inundation is the final stage of the evolution of a tsunami and
-refers to the run-up of tsunami onto land. This process is typically the most
+Inundation is the final stage of the evolution of a tsunami and refers
+to the run-up of tsunami onto land. This process is typically the most
 difficult of the three stages to model due to thin layers of water
 flowing rapidly over dry land.  Aside from requiring robust solvers
@@ -157,26 +158,28 @@
 data which is often not available. In the case of model validation
 high quality field measurements are also required. For the proposed
-benchmark a high resolution (1 second) topography data set and a 
-tsunami inundation survey map from the 
-Coordinating Committee Co-ordinating Committee for Geoscience Programmes 
-in East and Southeast Asia (CCOP) (\cite{szczucinski06}) was obtained 
-to validate model inundation. See also acknowledgements at the end of this paper. In this section we also present eye-witness accounts which can be used 
-to qualitatively validate tsunami inundation.
+benchmark a high resolution topography data set (in the form of GIS
+contour lines) and a tsunami inundation survey map from the
+Coordinating Committee Co-ordinating Committee for Geoscience
+Programmes in East and Southeast Asia (CCOP) (\cite{szczucinski06})
+was obtained to validate model inundation. See also acknowledgements
+at the end of this paper. In this section we also present eye-witness
+accounts which can be used to qualitatively validate tsunami
+inundation.
 
 \subsubsection{Topography Data}
-A 1 second grid comprising the onshore topography and the nearshore bathymetry 
-for Patong Beach was created from the Navy charts (described in Section \ref{sec:bathymetry data}) and from
-1 m and 10 m elevation contours provided in a GIS data set which was also provided by the CCOP 
-(see Section \ref{sec:inundation data} for details). 
-The 1 second terrain model for the and community as shown in Figure~\ref{fig:patong_bathymetry}.
-
-Two 1/3 second grids were created: One for the saddle point covering Merlin and Tri Trang Beaches 
-and one for Patong city and its immediate shore area.
-These grids were based on 
-the same data used for the 1 second data grid. 
-The patong city grid was further modified based on 
-satellite imagery to include 
-the river and lakes towards the south of Patong city which were not part of the GIS dataset. 
-The depth of the river and lake system was set uniformly to -1 m.
+A 1 second grid comprising the onshore topography and the nearshore
+bathymetry for Patong Beach was created from the Navy charts
+(described in Section \ref{sec:bathymetry data}) and from 1 m and 10 m
+elevation contours provided by the CCOP (see Section
+\ref{sec:inundation data} for details). The 1 second terrain model
+for the and community as shown in Figure~\ref{fig:patong_bathymetry}.
+
+Two 1/3 second grids were created: One for the saddle point covering
+Merlin and Tri Trang Beaches and one for Patong City and its immediate
+shore area.  These grids were based on the same data used for the 1
+second data grid.  The Patong city grid was further modified based on
+satellite imagery to include the river and lakes towards the south of
+Patong City which were not part of the provided elevation data.  
+The depth of the river and lake system was set uniformly to a depth of 1 m.
 
 
@@ -184,9 +187,10 @@
 \begin{center}
 \includegraphics[width=8.0cm,keepaspectratio=true]{figures/patong_bay_data.jpg}
+\end{center}
+
 \caption{3D visualisation of the elevation data set used for the nearshore propagation and and inundation in Patong Bay showing 
 digitised data points and contours as well as rivers and roads 
 draped over the data model.}
 \label{fig:patong_bathymetry}
-\end{center}
 \end{figure}
 
@@ -195,5 +199,5 @@
 Human-made buildings and structures can significantly affect tsunami
 inundation. The footprint and number of floors of the
-buildings in Patong Bay were extracted from the GIS data set from CCOP.
+buildings in Patong Bay were extracted from the data provided by CCOP.
 The heights of these
 buildings were estimated assuming that each floor has a height of 3 m and they 
@@ -219,8 +223,9 @@
 \begin{center}
 \includegraphics[width=\textwidth,keepaspectratio=true]{figures/post_tsunami_survey.jpg}
+\end{center}
+
 \caption{Tsunami survey mapping the maximum observed inundation at
   Patong beach courtesy of the CCOP \protect \cite{szczucinski06}.}
 \label{fig:patongescapemap}
-\end{center}
 \end{figure}
 
@@ -240,11 +245,8 @@
 \begin{center}
 \includegraphics[width=\textwidth,keepaspectratio=true]{figures/gauges.jpg}
+\end{center}
+
 \caption{Location of timeseries extracted from the model output.}
-% FIXME(John):
-%should we combine the inundation map with the gauages map?}
-%OLE: No - Kristy and I tried to make each image very simple - 
-%with one message only 
 \label{fig:gauge_locations}
-\end{center}
 \end{figure}
 
@@ -275,20 +277,21 @@
 \includegraphics[width=5.0cm,keepaspectratio=true]{figures/flow_rate_south_7_12sec.jpg}
 \includegraphics[width=5.0cm,keepaspectratio=true]{figures/flow_rate_south_7_60sec.jpg}
+\end{center}
+
 \caption{Four frames from a video where flow rate could be estimated,
-  circle indicates tracked debris, from top left: 0.0 sec, 5.0 s, 7.1
+  circle indicates tracked debris, from top left: 0.0 s, 5.0 s, 7.1
   s, 7.6 s.}
 \label{fig:video_flow}
-\end{center}
 \end{figure}
 
 Flow rates were estimated using landmarks found in both videos and
-were found to be in the range of 5 to 7 metres per second (+/- 2 m/s)
-in the north and 0.5 to 2 metres per second (+/- 1 m/s) in the 
+were found to be in the range of 5 to 7 m/s ($\pm$2 m/s)
+in the north and 0.5 to 2 m/s ($\pm$1 m/s) in the 
 south\footnote{These error bounds were estimated from uncertainty in aligning the debris with building boundaries in the videos.}.
 Water depths could also
 be estimated from the videos by the level at which water rose up the
 sides of buildings such as shops. Our estimates are in the order of
-1.5 to 2.0 metres (+/- 0.5 m estimated error bounds). 
-Fritz ~\cite{fritz06} performed a detailed
+1.5 to 2.0 m ($\pm$0.5 m estimated error bounds). 
+Fritz~\cite{fritz06} performed a detailed
 analysis of video frames taken around Banda Aceh and arrived at flow
 speeds in the range of 2 to 5 m/s.
Index: /anuga_work/publications/boxing_day_validation_2008/introduction.tex
===================================================================
--- /anuga_work/publications/boxing_day_validation_2008/introduction.tex	(revision 7479)
+++ /anuga_work/publications/boxing_day_validation_2008/introduction.tex	(revision 7480)
@@ -19,9 +19,9 @@
 non-linear three-dimensional mechanical models~\cite{zhang08}. 
 These models are typically used to predict quantities such as arrival 
-times, wave speeds and heights, and inundation extents
-which are used to develop efficient hazard mitigation plans. Physics based 
+times, wave speeds and heights, as well as inundation extents
+which can be used to develop efficient hazard mitigation plans. Physics based 
 models combine observed seismic, geodetic and sometimes tsunami data to
  provide estimates of initial sea floor and ocean surface
-deformation. Whilst the shallow water wave equations~\cite{george06}, 
+deformation. The shallow water wave equations~\cite{george06}, 
 linearised shallow water wave equations~\cite{liu09}, 
 and Boussinesq-type equations~\cite{weiss06} are frequently used to simulate 
@@ -37,5 +37,5 @@
 established.  One can only hope to state under what conditions and to 
 what extent the
-model hypothesis holds true. Specifically the utility of a model can
+model hypothesis holds true. Specifically, the utility of a model can
 be assessed through a process of verification and
 validation. Verification assesses the accuracy of the numerical method
@@ -114,9 +114,9 @@
  tailored accordingly.
 
-Unlike the existing field benchmarks the proposed test does facilitate
+Unlike the existing field benchmarks the proposed test facilitates
  localised and highly detailed spatially distributed assessment of 
 modelled inundation. To the authors knowledge it is also the first benchmark to
-assess model inundation under influenced by numerous human structures. 
-Eye-witness videos also allow the qualitative assessment of onshore flow 
+assess model inundation influenced by numerous human structures. 
+Eye-witness videos have also been considered to allow the qualitative assessment of onshore flow 
 patterns.
 
Index: /anuga_work/publications/boxing_day_validation_2008/method.tex
===================================================================
--- /anuga_work/publications/boxing_day_validation_2008/method.tex	(revision 7479)
+++ /anuga_work/publications/boxing_day_validation_2008/method.tex	(revision 7480)
@@ -3,5 +3,5 @@
 generation, propagation and run-up~\cite{titov97a,satake95}. Here we
 introduce the modelling methodology employed by Geoscience Australia
-to illustrate the utility of the proposed benchmark. The methodology used by Geoscience Australia has three distinct components. Firstly an appropriate model is used to approximate the initial sea surface deformation. This model is chosen according to the cause of the intial distrubance. The resulting wave is propagated using \textsc{ursga} in the deep ocean until the wave reaches shallow water, typically the $100$m depth contour. The ocean surface profile along this contour is used as a time varying boundary condition for ANUGA which simulates the propagation of the tsunami within the shallow water and the subsequent inundation of the land. This three part methodology roughly follows the three stages of tsunami evolution. The components used to model each stage of evolution are described in more detail below.
+to illustrate the utility of the proposed benchmark. The methodology used by Geoscience Australia has three distinct components. Firstly an appropriate model is used to approximate the initial sea surface deformation. This model is chosen according to the cause of the intial disturbance. The resulting wave is propagated using the \textsc{ursga} model (see Section~\ref{sec:ursga}) in the deep ocean until the wave reaches shallow water, typically the $100$ m depth contour. The ocean surface profile along this contour is used as a time varying boundary condition for the \textsc{anuga} model (see Section~\ref{sec:anuga}) which simulates the propagation of the tsunami within the shallow water and the subsequent inundation of the land. This three part methodology roughly follows the three stages of tsunami evolution. The components used to model each stage of evolution are described in more detail below.
 
 \subsection{Generation}\label{sec:modelGeneration}
@@ -57,5 +57,5 @@
 et al~\cite{chlieh07}. This model was created by inversion of wide
 range of geodetic and seismic data. The slip model consists of 686
-20km x 20km subsegments each with a different slip, strike and dip
+20 km x 20 km subsegments each with a different slip, strike and dip
 angle. The dip subfaults go from $17.5^0$ in the north and $12^0$ in
 the south. Refer to Chlieh et al~\cite{chlieh07} for a detailed
@@ -81,5 +81,5 @@
 %The propagation of the tsunami in shallow water ($<100$m) and inundation are modelled using a hydrodynamic package called \textsc{ursga}. This package is ideally suited to shallow water propagation and inundation as it accurately simulates flow over dry land and is based upon an irregular triangular grid which can be refined in areas of interest.
 
-\subsubsection{URSGA}
+\subsubsection{URSGA}\label{sec:ursga}
 \textsc{ursga} is a hydrodynamic code that models the propagation of
 the tsunami in deep water using a finite difference method on a staggered grid.
@@ -115,5 +115,5 @@
 % A description of \textsc{anuga} is the following section.
 
-\subsubsection{ANUGA}
+\subsubsection{ANUGA}\label{sec:anuga}
 \textsc{Anuga} is a Free and Open Source hydrodynamic inundation tool that
 solves the conserved form of the depth-integrated nonlinear shallow
@@ -133,10 +133,12 @@
 are allowed at every edge in the mesh. This means that the tool is 
 well suited to adequately resolving hydraulic jumps, transcritical flows and 
-the process of wetting and drying. This means that \textsc{Anuga} 
+the process of wetting and drying. Consequently, \textsc{anuga} 
 is suitable for
 simulating water flow onto a beach or dry land and around structures
-such as buildings. \textsc{Anuga} has been validated against 
+such as buildings. \textsc{anuga} has been validated against 
 %a number of analytical solutions !!!Analytical solutions have not been published. Ask Steve. 
 the wave tank simulation of the 1993 Okushiri
 Island tsunami~\cite{nielsen05,roberts06} and 
 dam break experiments~\cite{baldock07}.
+More information on \textsc{anuga} and how to obtain it are available from \url{https://datamining.anu.edu.au/anuga}.
+
Index: /anuga_work/publications/boxing_day_validation_2008/paper.tex
===================================================================
--- /anuga_work/publications/boxing_day_validation_2008/paper.tex	(revision 7479)
+++ /anuga_work/publications/boxing_day_validation_2008/paper.tex	(revision 7480)
@@ -44,8 +44,8 @@
 which affords a uniquely large amount of observational data for 
 events of this kind. The proposed benchmark is intended to aid 
-validation of tsunami inundation, which is the most important stage 
-of tsunami evolution. However individual tests are presented to 
+validation of tsunami inundation modelling, which is the most important stage 
+of tsunami evolution. However, individual tests are presented to 
 facilitate model evaluation for the generation and propagation 
-phases as well. Specifically we use geodetic
+phases as well. Specifically, we use geodetic
 measurements of the Sumatra--Andaman earthquake to validate the
 tsunami source, altimetry data from the \textsc{jason} satellite to
Index: /anuga_work/publications/boxing_day_validation_2008/results.tex
===================================================================
--- /anuga_work/publications/boxing_day_validation_2008/results.tex	(revision 7479)
+++ /anuga_work/publications/boxing_day_validation_2008/results.tex	(revision 7480)
@@ -2,5 +2,5 @@
 This section presents a validation of the modelling practice of Geoscience
 Australia against the new proposed benchmarks. The criteria outlined 
-in Section~\ref{sec:checkList} are addressed.S
+in Section~\ref{sec:checkList} are addressed.
 
 \subsection{Generation}\label{modelGeneration}
@@ -34,5 +34,5 @@
 not surprising, since the original slip model was chosen
 by~\cite{chlieh07} to fit the motion and seismic data well. 
-Consequently the replication of the generation data has little meaning for 
+Consequently, the replication of the generation data has limited meaning for 
 the model structure presented in Section~\ref{sec:models}. But for 
 uncalibrated source models or source models calibrated on other data 
@@ -42,4 +42,6 @@
 \begin{center}
 \includegraphics[width=0.8\textwidth,keepaspectratio=true]{figures/surface_deformation.jpg}
+\end{center}
+
 \caption{Location and magnitude of the vertical component of the sea
   floor displacement associated with the 2004 Indian Ocean tsunami
@@ -57,5 +59,4 @@
   by~\cite{chlieh07}.}
 \label{fig:surface_deformation}
-\end{center}
 \end{figure}
 
@@ -76,7 +77,8 @@
 \begin{center}
 \includegraphics[width=0.8\textwidth,keepaspectratio=true]{figures/extent_of_ANUGA_model.jpg}
+\end{center}
+
 \caption{Computational domain of the \textsc{ursga} simulation (inset: white and black squares and main: black square) and the \textsc{anuga} simulation (main and inset: red polygon).}
 \label{fig:computational_domain}
-\end{center}
 \end{figure}
 
@@ -104,4 +106,6 @@
 \begin{center}
 \includegraphics[width=\textwidth,keepaspectratio=true]{figures/jasonComparison.jpg}
+\end{center}
+
 \caption{Comparison of the \textsc{ursga}-predicted surface elevation
   with the \textsc{jason} satellite altimetry data. The \textsc{ursga} wave
@@ -109,7 +113,5 @@
   overhead compared to \textsc{jason} sea level anomaly.}
 \label{fig:jasonComparison}
-\end{center}
-\end{figure}
-FIXME (Jane): This graph does not look nice.
+\end{figure}
 
 After propagating the tsunami in the open ocean using \textsc{ursga},
@@ -133,13 +135,21 @@
 approximately 6 m between mesh points) 
 in the small regions surrounding the inundation
-region in Patong Bay. The coarse resolution was chosen to be 
-commensurate with the model output from the \textsc{ursga} model (FIXME (Ole): Richard says that the ursga model used all four grids which would mean that the
-resolution at the ANUGA boundary was 1 second or about 30 m.
-This is not consistent with my memory and certainly not with us choosing a
-resolution of 440 m. John, do you remember what the spacing was between the
-URSGA points? Did we weed them out or did we take them as they were?)
-
-while the latter was chosen to match the available resolution of topographic 
-data and building data in Patong city.
+region in Patong Bay. The coarse resolution was chosen to balance accuracy 
+with computational costs while the fine resolution was chosen to match the available resolution of topographic 
+data and building data in Patong City. Figure~\ref{fig:mesh} shows a 
+section of the mesh covering the southern part of the City.
+
+\begin{figure}[ht]
+\begin{center}
+\includegraphics[width=0.8\textwidth, keepaspectratio=true]{figures/mesh_section.jpg}
+\end{center}
+
+\caption{Section of the mesh used by ANUGA to simulate the tsunami inundation.
+The finest mesh resolution is approximately 6 m between nodes which 
+is sufficient to resolve individual buildings affecting the flows.}
+\label{fig:mesh}
+\end{figure}
+
+
 Due to a lack of available roughness data, friction was
 set to a constant throughout the computational domain. For the
@@ -169,25 +179,25 @@
 (\url{http://www.navy.mi.th/hydro/}) at the time the tsunami arrived
 at Patong Bay. Although the tsunami propagated for approximately three
-hours before it reach Patong Bay, the period of time during which the
+hours before it reached Patong Bay, the period of time during which the
 wave propagated through the \textsc{anuga} domain is much
-smaller. Consequently the assumption of constant tide height is
+smaller of the order of 2 hours. Consequently the assumption of constant tide height is
 reasonable.
 
 \subsection{Inundation}\label{sec:inundation results}
 The \textsc{anuga} simulation described in the previous section and used to
- model shallow water propgation also predicts
+ model shallow water propagation also predicts
 inundation. Maximum onshore inundation depth was computed from the model
 throughout the entire Patong Bay region and used to generate 
 a measure of the inundated area. 
 Figure~\ref{fig:inundationcomparison1cm} (left) shows very good
-agreement between the measured and simulated inundation. However
+agreement between the measured and simulated inundation. However,
 these results are dependent on the classification used to determine
 whether a region in the numerical simulation was inundated. In
 Figure~\ref{fig:inundationcomparison1cm} (left) a point in the computational
 domain was deemed inundated if at some point in time it was covered by
-at least 1 cm of water. However, the precision of the inundation boundary 
+at least 1 cm of water. The precision of the inundation boundary 
 generated by the on-site survey is most likely less than that as it 
 was determined by observing water marks and other signs
-left by the receding waters. Consequently the measurement error along
+left by the receding waters. Consequently, the measurement error along
 the inundation boundary of the survey is likely to vary significantly 
 and somewhat unpredictably. 
@@ -198,17 +208,5 @@
 area.
 Figure~\ref{fig:inundationcomparison1cm} (right) shows the simulated
-inundation using a larger threshold of 10 cm. 
-
-
-The datasets necessary for reproducing the results
-of the inundation stage are available on Sourceforge under the \textsc{anuga}
-project (\url{http://sourceforge.net/projects/anuga}).
-At the time of
-writing the direct link is \url{http://tinyurl.com/patong2004-data}.
-%%\url{http://sourceforge.net/project/showfiles.php?group_id=172848&package_id=319323&release_id=677531}.
-The scripts required are part of the \textsc{anuga} distribution also 
-available from Sourceforge \url{http://sourceforge.net/projects/anuga} under 
-the validation section.
-
+inundation using a larger threshold of 10 cm and Figure~\ref{fig:anuga screenshot} shows a screenshot from the inundation model.
 An animation of this simulation is available on the \textsc{anuga} website at \url{https://datamining.anu.edu.au/anuga} or directly from \url{http://tinyurl.com/patong2004}.
 %\url{https://datamining.anu.edu.au/anuga/attachment/wiki/AnugaPublications/patong_2004_indian_ocean_tsunami_ANUGA_animation.mov}.
@@ -217,9 +215,24 @@
 \begin{center}
 \includegraphics[width=\textwidth,keepaspectratio=true]{figures/threshold.jpg}
+\end{center}
+
 \caption{Simulated inundation versus observed inundation using an 
 inundation threshold of 1 cm (left) and 10 cm (right).}
 \label{fig:inundationcomparison1cm}
-\end{center}
-\end{figure}
+\end{figure}
+
+\begin{figure}[ht]
+\begin{center}
+\includegraphics[width=0.8\textwidth,keepaspectratio=true]{figures/anuga_screenshot.jpg}
+\end{center}
+
+\caption{Screenshot of the \textsc{anuga} simulation of the inundation
+ at Patong City at local time 10:53 about one hour after the arrival of 
+ the first wave.}
+\label{fig:anuga screenshot}
+\end{figure}
+
+
+\subsubsection{Comparison to survey}
 
 To quantify the agreement between the observed and simulated inundation we
@@ -244,6 +257,7 @@
 Discrepancies between the survey data and the modelled inundation
 include: unknown distribution of surface roughness, inappropriate
-parameterisation of the source model, effect of humans structures on
-flow, as well as uncertainties in the elevation data, effects of
+parameterisation of the source model, discretisation errors, 
+effect of humans structures on
+flow, as well as uncertainties in the elevation data, friction, effects of
 erosion and deposition by the tsunami event, 
 measurement errors in the GPS survey recordings, and
@@ -252,20 +266,38 @@
 Section~\ref{sec:sensitivity}.
 
+
+\subsubsection{Reproducibility of inundation results}
+As one aim of this paper is to provide a new benchmark for tsunami 
+inundation modelling we have made the datasets available
+available on \textsc{Sourceforge} in \textsc{anuga}
+project (\url{http://sourceforge.net/projects/anuga}) under the directory 
+\url{validation\_data/patong-1.0}.
+At the time of 
+writing a direct link is \url{http://tinyurl.com/patong2004-data}.
+%%\url{http://sourceforge.net/project/showfiles.php?group_id=172848&package_id=319323&release_id=677531}.
+
+To reproduce the inundation modelling results using this data, the reader
+will need to run the validation scripts (\url{anuga\_validation/automated\_validation\_tests/patong\_beach\_validation}) which are part of the 
+\textsc{anuga} distribution also available from 
+Sourceforge \url{http://sourceforge.net/projects/anuga}.
+
+
 \subsection{Eye-witness accounts}
 
 \subsubsection{Arrival time}
 The arrival time of the first wave took place between 9:55 and 10:55 as described in
-Section~\ref{sec:eyewitness data}. The modelled arrival time at the beach is 10:01 
+Section~\ref{sec:eyewitness data}. The modelled arrival time at the beach is 10:00 
 as can be verified from the animation provided in 
 Section \ref{sec:inundation results}. 
 Subsequent waves of variable magnitude appear over the next two hours 
 approximately 20-30 minutes apart.
-% 10:01, 10:19, 10:46, 11:13, 11:43
-The first arrival and overall dynamic behaviour is therefor reasonably consistent with the 
+% 10:00, 10:18, 10:45, 11:12, 11:42
+The first arrival and overall dynamic behaviour is therefore reasonably consistent with the 
 eye-witness accounts.
 
 \subsubsection{Observed wave dynamics}
 Figure \ref{fig:gauge_locations} shows four locations where time
-series have been extracted from the model. The two offshore time series
+series have been extracted from the model. 
+The two offshore time series
 are shown in Figure \ref{fig:offshore_timeseries} and the two onshore
 timeseries are shown in Figure \ref{fig:onshore_timeseries}. The
@@ -275,9 +307,10 @@
 \begin{figure}[ht]
 \begin{center}
-\includegraphics[width=0.8\textwidth,keepaspectratio=true]{figures/gauge_bay_depth.jpg}
-\includegraphics[width=0.8\textwidth,keepaspectratio=true]{figures/gauge_bay_speed.jpg}
+\includegraphics[width=0.7\textwidth,keepaspectratio=true]{figures/gauge_bay_depth.jpg}
+\includegraphics[width=0.7\textwidth,keepaspectratio=true]{figures/gauge_bay_speed.jpg}
+\end{center}
+
 \caption{Time series obtained from the two offshore gauge locations, 
 7C and 10C, shown in Figure \protect \ref{fig:gauge_locations}.}
-\end{center}
 \label{fig:offshore_timeseries}
 \end{figure}
@@ -285,9 +318,10 @@
 \begin{figure}[ht]
 \begin{center}
-\includegraphics[width=\textwidth,keepaspectratio=true]{figures/gauges_hotels_depths.jpg}
-\includegraphics[width=\textwidth,keepaspectratio=true]{figures/gauges_hotels_speed.jpg}
+\includegraphics[width=0.7\textwidth,keepaspectratio=true]{figures/gauges_hotels_depths.jpg}
+\includegraphics[width=0.7\textwidth,keepaspectratio=true]{figures/gauges_hotels_speed.jpg}
+\end{center}
+
 \caption{Time series obtained from the two onshore locations, North and South, 
 shown in Figure \protect \ref{fig:gauge_locations}.}
-\end{center}
 \label{fig:onshore_timeseries}
 \end{figure}
@@ -319,4 +353,5 @@
   \end{array} 
 \]
+\caption{Observed depth and flows from the video footage compared to values extracted from the inundation model.}
 \label{tab:depth and flow comparisons}
 \end{table} 
@@ -339,2 +374,6 @@
 %as seen in the figure. 
 
+
+
+
+
Index: /anuga_work/publications/boxing_day_validation_2008/sensitivity.tex
===================================================================
--- /anuga_work/publications/boxing_day_validation_2008/sensitivity.tex	(revision 7479)
+++ /anuga_work/publications/boxing_day_validation_2008/sensitivity.tex	(revision 7480)
@@ -9,6 +9,5 @@
 However, model uncertainty should not be ignored. The aim of this section is 
 not to provide a detailed investigation of sensitivity but to rather 
-illustrate that changes in important parameters of the \textsc{usrga--anuga} 
-model  produce behaviour consistent with the known physics and that 
+illustrate that changes in important parameters produce behaviour consistent with the known physics and that 
 small changes in these parameters produce bounded variations in the output.
 
@@ -16,5 +15,5 @@
 friction coefficient, changing waveheight at the 100 m depth contour,
 and the presence and absence of buildings in the elevation dataset on
-model maximum inundation. 
+model maximum inundation as computed by \textsc{anuga}. 
 
 The reference model is the one reported in 
@@ -32,7 +31,7 @@
 we simulated the maximum onshore inundation using a Manning's
 coefficient of 0.0003 and 0.03. The resulting inundation maps are
-shown in Figure~\ref{fig:sensitivity_friction}
-% and the maximum flow speeds in Figure~\ref{fig:sensitivity_friction_speed}.
- The figure, along with Table~\ref{table:inundationAreas},
+shown in Figure~\ref{fig:sensitivity_friction} 
+and the maximum flow speeds in Figure~\ref{fig:sensitivity_friction_speed}.
+The figure, along with Table~\ref{table:inundationAreas},
 shows that the on-shore inundation extent decreases with increasing
 friction and that small perturbations in the friction cause bounded
@@ -53,5 +52,6 @@
 than the expected error in the amplitude predicted by the propagation model.
 
-Figure~\ref{fig:sensitivity_boundary} and  Table~\ref{table:inundationAreas} 
+Figure~\ref{fig:sensitivity_boundary}, Figure~\ref{fig:sensitivity_boundary_speed},
+and  Table~\ref{table:inundationAreas} 
 indicate that the inundation severity is directly proportional to the 
 boundary waveheight but small
@@ -77,5 +77,6 @@
 human-made structures should be included into the model topography.
 Furthermore, these results also 
-indicate that simply matching point sites with much lower resolution meshes 
+indicate that simply matching point sites with much lower resolution meshes or, indeed, 
+areas of artificially high friction
 than used here is an over simplification. Such simulations cannot capture the
 fine detail that so clearly affects inundation depth and flow speeds.
@@ -85,6 +86,4 @@
 \begin{table}
 \begin{center}
-\label{table:inundationAreas}
-\caption{$\rho_{in}$ and $\rho_{out}$ of the reference simulation and all sensitivity studies.}
 \begin{tabular}{|l|c|c|}
 \hline
@@ -100,3 +99,6 @@
 \end{tabular}
 \end{center}
+\caption{$\rho_{in}$ and $\rho_{out}$ of the reference simulation and all sensitivity studies.}
+
+\label{table:inundationAreas}
 \end{table}