Index: /anuga_work/publications/boxing_day_validation_2008/acknowledgements.tex
===================================================================
--- /anuga_work/publications/boxing_day_validation_2008/acknowledgements.tex	(revision 7498)
+++ /anuga_work/publications/boxing_day_validation_2008/acknowledgements.tex	(revision 7499)
@@ -4,8 +4,10 @@
 of Mathematics, The Australian National University. The authors would
 like to thank Niran Chaimanee from the CCOP for providing
-the post 2004 tsunami survey data, building footprints, aerial
-photography and the elevation data for Patong city, Prapasri Asawakun
+the post 2004 tsunami survey data, building footprints, satellite image
+and the elevation data for Patong city, Prapasri Asawakun
 from the Suranaree University of Technology and Parida Kuneepong for
-supporting this work; and Drew Whitehouse from the Australian National
-University for preparing the animation of the simulated impact.
+supporting this work, Drew Whitehouse from the Australian National
+University for preparing the animation of the simulated impact; and 
+Rick von Feldt for locating the Novotel from the video footage and 
+for commenting on the model from and eye-witness point of view. 
 \end{acknowledgements}
Index: /anuga_work/publications/boxing_day_validation_2008/conclusion.tex
===================================================================
--- /anuga_work/publications/boxing_day_validation_2008/conclusion.tex	(revision 7498)
+++ /anuga_work/publications/boxing_day_validation_2008/conclusion.tex	(revision 7499)
@@ -16,6 +16,6 @@
  An associated aim of this paper was to further validate the
 \textsc{ursga--anuga} tsunami modelling methodology employed by Geoscience 
-Australiawhich is used to simulate the tsunami inundation. 
-This study ashows that the tsunami  modelling methodology adopted is credible 
+Australia which is used to simulate the tsunami inundation. 
+This study shows that the tsunami modelling methodology adopted is credible 
 and able to predict detailed inundation extents and dynamics with reasonable accuracy. 
 Model predictions matched well a detailed inundation survey
Index: /anuga_work/publications/boxing_day_validation_2008/data.tex
===================================================================
--- /anuga_work/publications/boxing_day_validation_2008/data.tex	(revision 7498)
+++ /anuga_work/publications/boxing_day_validation_2008/data.tex	(revision 7499)
@@ -87,5 +87,5 @@
   dataset (\url{http://topex.ucsd.edu/WWW_html/srtm30_plus.html}), 
   coastline constrained using SRTM data (\url{http://srtm.csi.cgiar.org}) 
-  as well as Navy charts no.\ 45 and no.\ 362; and  
+  as well as Thai Navy charts no.\ 45 and no.\ 362; and  
 \item a one second grid created from the digitised Thai Navy
   bathymetry chart, no. 358, which covers Patong Bay and the
@@ -97,5 +97,5 @@
   an application of minimum curvature akima spline smoothing. 
   See \url{http://www.intrepid-geophysics.com/ig/manuals/english/gridding.pdf} 
-  for details on the Intrepid model.  
+  for details on the Intrepid gridding scheme.  
 \end{itemize}
 
@@ -119,5 +119,5 @@
 
 A one second grid was used to approximate the bathymetry in Patong
-Bay. This elevation data was created from the digitised Thai
+Bay. This bathymetry data was created from the digitised Thai
 Navy bathymetry chart, no 358.
 
@@ -169,5 +169,5 @@
 \subsubsection{Topography Data}
 A 1 second grid comprising the onshore topography and the nearshore
-bathymetry for Patong Beach was created from the Navy charts
+bathymetry for Patong Beach was created from the Thai Navy charts
 (described in Section \ref{sec:bathymetry data}) and from 1 m and 10 m
 elevation contours provided by the CCOP (see Section
@@ -254,5 +254,5 @@
 widely available and can, for example, be obtained from 
 \url{http://www.archive.org/download/patong_bavarian/patong_bavaria.wmv}
-(Comfort Hotel) and
+(Comfort Resort) and
 \url{http://www.archive.org/download/tsunami_patong_beach/tsunami_patong_beach.wmv}
 (Novotel)}
@@ -260,5 +260,5 @@
 which include footage of the tsunami in Patong Bay on the day
 of the 2004 Indian Ocean Tsunami. Both videos show an already inundated
-group of buildings. They also show what is to be assumed as the second
+street. They also show what is to be assumed as the second
 and third waves approaching and further flooding of the buildings and
 street.  The first video is in the very north, filmed from what is
Index: /anuga_work/publications/boxing_day_validation_2008/paper.tex
===================================================================
--- /anuga_work/publications/boxing_day_validation_2008/paper.tex	(revision 7498)
+++ /anuga_work/publications/boxing_day_validation_2008/paper.tex	(revision 7499)
@@ -18,6 +18,6 @@
 
 %-------authors-----------
-\author{J.~D. Jakeman \and O. Nielsen \and K. VanPutten \and
-  D. Burbidge \and R. Mleczko \and N. Horspool}
+\author{J.~D. Jakeman \and O. Nielsen \and K. VanPutten 
+\and R. Mleczko \and D. Burbidge \and N. Horspool}
 \authorrunning{Jakeman et alia}
 
Index: /anuga_work/publications/boxing_day_validation_2008/results.tex
===================================================================
--- /anuga_work/publications/boxing_day_validation_2008/results.tex	(revision 7498)
+++ /anuga_work/publications/boxing_day_validation_2008/results.tex	(revision 7499)
@@ -286,5 +286,5 @@
 
 \subsubsection{Arrival time}
-The arrival time of the first wave took place between 9:55 and 10:55 as described in
+The arrival time of the first wave took place between 9:55 and 10:05 as described in
 Section~\ref{sec:eyewitness data}. The modelled arrival time at the beach is 10:02 
 as can be verified from the animation provided in 